<?php

// $Id$

/*
 * @author Adam Westerski 
 * @file ideastream_elements.module
 * ideastream_elements Module - user profile related functions
 */


/* 
 * Display "Ideas" panel in the user profile
 * The panel shows last posted ideas, sandbox ideas etc.
 */
function ideastream_elements_user_profile_ideas($form_state) {
	$page_html = "";

	$uid = arg(1);
	if ($account = user_load(array('uid' => arg(1), 'status' => 1))) {
		//$page_html .= "test";
		drupal_set_title(check_plain($account->name));
		
		$form['list_sandbox'] = array(
		'#type' => 'fieldset',
		'#title' => t('Sandbox Ideas'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A list of unpublished ideas saved as drafts.')
		);
		
		$form['list'] = array(
		'#type' => 'fieldset',
		'#title' => t('Published Ideas'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A full list of all posted ideas (does not include sandbox ideas).')
		);
				
		$form['user_profile']['profile_uid'] = array(	
			'#type' => 'hidden', 
			'#value' => $uid,
		);

		return $form;
	}
	return $page_html;
}

function theme_ideastream_elements_user_profile_ideas($form) {
  /*
ob_start();
var_dump($form);
$result = ob_get_clean();
dd($result); */
  $user_uid=$form['user_profile']['profile_uid']['#value'];
  $rows_per_page = 10;
    
  // theme list of unpublished ideas (sandbox)
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='idea' AND node.status=0 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.created, node.title FROM node 
WHERE type='idea' AND node.status=0 AND node.uid = $user_uid
GROUP BY node.nid".tablesort_sql($header),$rows_per_page,0,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_idea_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_idea_created' => format_date($item->created, 'small')
    		);
    }
      
  if (count($rows)>0)
  	$form['list_sandbox']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 0);
  else $form['list_sandbox']['#description'] = t("Your Idea Sandbox is currently empty. You have no unpublished ideas.");
  
  // theme list of published ideas
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  	array('data' => t('Comments'), 'field' => 'COMMENT_COUNT'),
  	array('data' => t('Rating'), 'field' => 'VOTE_VALUE'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='idea' AND node.status=1 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.created, node.title, node_comment_statistics.comment_count AS COMMENT_COUNT, votingapi_cache_node_points_sum.value AS VOTE_VALUE FROM node 
LEFT JOIN node_comment_statistics node_comment_statistics ON node.nid = node_comment_statistics.nid
LEFT JOIN votingapi_cache votingapi_cache_node_points_sum ON node.nid = votingapi_cache_node_points_sum.content_id AND (votingapi_cache_node_points_sum.content_type = 'node' AND votingapi_cache_node_points_sum.value_type = 'points' AND votingapi_cache_node_points_sum.function = 'sum') 
WHERE type='idea' AND node.status=1 AND node.uid = $user_uid
GROUP BY node.nid".tablesort_sql($header),$rows_per_page,1,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_idea_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_idea_created' => format_date($item->created, 'small'),
    		'#custom_comments' => $item->COMMENT_COUNT,
    		'#custom_votes' => ($item->VOTE_VALUE ? $item->VOTE_VALUE : 0)
    		);
    }

  if (count($rows)>0)
  	$form['list']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 1);
  else $form['list']['#description'] = t("Currently you don't have any published ideas.");
  
  return drupal_render($form);
}

// ******************************************** Reviews ***********************************************
// ****************************************************************************************************

/* 
 * Display "Reviews" panel in the user profile
 * The panel shows last posted ideas, sandbox ideas etc.
 */
function ideastream_elements_user_profile_reviews($form_state) {
	$page_html = "";

	$uid = arg(1);
	if ($account = user_load(array('uid' => arg(1), 'status' => 1))) {
		//$page_html .= "test";
		drupal_set_title(check_plain($account->name));
		
		$form['list_sandbox'] = array(
		'#type' => 'fieldset',
		'#title' => t('Sandbox Reviews'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A list of unpublished reviews saved as drafts.')
		);
		
		$form['list'] = array(
		'#type' => 'fieldset',
		'#title' => t('Published Reviews'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A full list of all posted reviews (does not include sandbox reviews).')
		);
				
		$form['user_profile']['profile_uid'] = array(	
			'#type' => 'hidden', 
			'#value' => $uid,
		);

		return $form;
	}
	return $page_html;
}

function theme_ideastream_elements_user_profile_reviews($form) {
  /*
ob_start();
var_dump($form);
$result = ob_get_clean();
dd($result); */
  $user_uid=$form['user_profile']['profile_uid']['#value'];
  $rows_per_page = 10;
    
  // theme list of unpublished ideas (sandbox)
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  	array('data' => t('Type'), 'field' => 'REVIEW_TYPE'),
  	array('data' => t('Rating'), 'field' => 'REVIEW_RATING'),
  	array('data' => t('Idea'), 'field' => 'IDEA_NID'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='review' AND node.status=0 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.title, node.created, content_type_review.field_review_rating_value AS REVIEW_RATING, content_type_review.field_reviewed_idea_nid AS IDEA_NID, idea_table.title AS IDEA_TITLE, term_data.name AS REVIEW_TYPE FROM node 
LEFT JOIN content_type_review ON node.nid = content_type_review.nid 
LEFT JOIN vocabulary ON vocabulary.name = \"Review Types\"
LEFT JOIN term_node ON term_node.nid = node.nid
LEFT JOIN term_data ON (term_node.tid = term_data.tid AND term_data.vid = vocabulary.vid)
LEFT JOIN node idea_table ON idea_table.nid = content_type_review.field_reviewed_idea_nid
WHERE node.type='review' AND node.status=0".tablesort_sql($header),$rows_per_page,1,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_review_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_review_created' => format_date($item->created, 'small'),
    		'#custom_review_type' => $item->REVIEW_TYPE,
    		'#custom_review_rating' => ($item->REVIEW_RATING ? $item->REVIEW_RATING : "-"),
    		'#custom_review_idea' => l($item->IDEA_TITLE, 'node/' . $item->IDEA_NID),
    		);
    }
    
  if (count($rows)>0)
  	$form['list_sandbox']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 0);
  else $form['list_sandbox']['#description'] = t("Your Review Sandbox is currently empty. You have no unpublished reviews.");
  
  // theme list of published ideas
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  	array('data' => t('Type'), 'field' => 'REVIEW_TYPE'),
  	array('data' => t('Rating'), 'field' => 'REVIEW_RATING'),
  	array('data' => t('Idea'), 'field' => 'IDEA_NID'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='review' AND node.status=1 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.title, node.created, content_type_review.field_review_rating_value AS REVIEW_RATING, content_type_review.field_reviewed_idea_nid AS IDEA_NID, idea_table.title AS IDEA_TITLE, term_data.name AS REVIEW_TYPE FROM node 
LEFT JOIN content_type_review ON node.nid = content_type_review.nid 
LEFT JOIN vocabulary ON vocabulary.name = \"Review Types\"
LEFT JOIN term_node ON term_node.nid = node.nid
LEFT JOIN term_data ON (term_node.tid = term_data.tid AND term_data.vid = vocabulary.vid)
LEFT JOIN node idea_table ON idea_table.nid = content_type_review.field_reviewed_idea_nid
WHERE node.type='review' AND node.status=1".tablesort_sql($header),$rows_per_page,1,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_review_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_review_created' => format_date($item->created, 'small'),
    		'#custom_review_type' => $item->REVIEW_TYPE,
    		'#custom_review_rating' => ($item->REVIEW_RATING ? $item->REVIEW_RATING : "-"),
    		'#custom_review_idea' => l($item->IDEA_TITLE, 'node/' . $item->IDEA_NID),
    		);
    }
  if (count($rows)>0)
	  $form['list']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 1);
  else $form['list']['#description'] = t("Currently you don't have any published reviews.");
  
  return drupal_render($form);
}

// ******************************************** Contests ***********************************************
// *****************************************************************************************************

/* 
 * Display "Contests" panel in the user profile
 * The panel shows last posted ideas, sandbox ideas etc.
 */
function ideastream_elements_user_profile_contests($form_state) {
	$page_html = "";

	$uid = arg(1);
	if ($account = user_load(array('uid' => arg(1), 'status' => 1))) {
		//$page_html .= "test";
		drupal_set_title(check_plain($account->name));
		
		$form['list_sandbox'] = array(
		'#type' => 'fieldset',
		'#title' => t('Sandbox Contests'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A list of unpublished contests saved as drafts.')
		);
		
		$form['list'] = array(
		'#type' => 'fieldset',
		'#title' => t('Published Contests'),
		'#collapsible' => FALSE,
		'#collapsed' => FALSE,
		'#tree' => FALSE,
		'#description' => t('A full list of all posted contests (does not include sandbox contests).')
		);
				
		$form['user_profile']['profile_uid'] = array(	
			'#type' => 'hidden', 
			'#value' => $uid,
		);

		return $form;
	}
	return $page_html;
}

function theme_ideastream_elements_user_profile_contests($form) {
  /*
ob_start();
var_dump($form);
$result = ob_get_clean();
dd($result); */
  $user_uid=$form['user_profile']['profile_uid']['#value'];
  $rows_per_page = 10;
    
  // theme list of unpublished ideas (sandbox)
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  	array('data' => t('State'), 'field' => 'state'),
  	array('data' => t('Ideas'), 'field' => 'IDEA_COUNT'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='contest' AND node.status=0 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.title, node.created, workflow_states.state, COUNT(content_type_idea.nid) AS IDEA_COUNT FROM node 
LEFT JOIN workflow_node ON node.nid = workflow_node.nid 
LEFT JOIN workflow_states ON workflow_node.sid = workflow_states.sid
LEFT JOIN content_type_idea ON node.nid = content_type_idea.field_idea_contest_nid WHERE node.type='contest' AND node.status=0 GROUP BY node.nid".tablesort_sql($header),$rows_per_page,1,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_review_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_review_created' => format_date($item->created, 'small'),
    		'#custom_review_type' => $item->state,
    		'#custom_review_rating' => ($item->IDEA_COUNT ? $item->IDEA_COUNT : "0"),
    		);
    }
    
  if (count($rows)>0)
  	$form['list_sandbox']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 0);
  else $form['list_sandbox']['#description'] = t("Your Contest Sandbox is currently empty. You have no unpublished contests.");
  
  // theme list of published ideas
  $header = array(
  	array('data' => t('Title'), 'field' => 'title'),
  	array('data' => t('Date'), 'field' => 'created', 'sort' => 'desc'),
  	array('data' => t('State'), 'field' => 'state'),
  	array('data' => t('Ideas'), 'field' => 'IDEA_COUNT'),
  );
  
  $rows = array();
  $count_query = "SELECT count(node.nid) FROM node WHERE type='contest' AND node.status=1 AND node.uid = $user_uid";
  
  $relationships = pager_query("SELECT node.nid, node.title, node.created, workflow_states.state, COUNT(content_type_idea.nid) AS IDEA_COUNT FROM node 
LEFT JOIN workflow_node ON node.nid = workflow_node.nid 
LEFT JOIN workflow_states ON workflow_node.sid = workflow_states.sid
LEFT JOIN content_type_idea ON node.nid = content_type_idea.field_idea_contest_nid WHERE node.type='contest' AND node.status=1 GROUP BY node.nid".tablesort_sql($header),$rows_per_page,1,$count_query);

    while ($item = db_fetch_object($relationships)) {
    	$rows[] = array(
    		'#custom_review_title' => l($item->title, 'node/' . $item->nid),
      		'#custom_review_created' => format_date($item->created, 'small'),
    		'#custom_review_type' => $item->state,
    		'#custom_review_rating' => ($item->IDEA_COUNT ? $item->IDEA_COUNT : "0"),
    		);
    }
  if (count($rows)>0)
	  $form['list']['#value'] = theme('table', $header, $rows) . theme('pager',NULL, $rows_per_page, 1);
  else $form['list']['#description'] = t("Currently you don't have any published contests.");
  
  return drupal_render($form);
}

?>