<?php
// $Id: views-view-fields.tpl.php,v 1.6 2008/09/24 22:48:21 merlinofchaos Exp $
/**
 * @file views-view-fields.tpl.php
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->separator: an optional separator that may appear before a field.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
?>

<table width="100%" class="idea_review_snippet"> <!-- class="all_idea_list_table" border="1" -->
<tr>
	<td class="idea_review_title_row" colspan="2">
		<?php print($fields['title']->content) ?>
	</td>
</tr>
<tr>
	<td width="400px" class="idea_review_status_cell">
	<table class="idea_review_status_box">
		<tr>
			<td class="idea_review_status_box_title"><?php if (isset($fields['name_1']->content)) print($fields['name_1']->content); else print('Undefined'); ?></td>
			<td class="idea_review_status_box_value"><span class="text">Rating:</span> <span class="author"><?php print $fields['field_review_rating_value']->content; ?></td>
		</tr>
	</table>
	</td>
	
	<td class="idea_review_related_idea_cell">
	<span class="text">Related idea:</span> <span class="author"><a href="<?php print url('node/'.$fields['nid_1']->content); ?>"><?php print substr($fields['title_1']->content,0, 30); if (strlen($fields['title_1']->content)>30) print '…';?></a> 
	</td>
</tr>
<tr>
	<td class="idea_review_content_row" colspan="2">
		<?php print($fields['body']->content); ?>
	</td>
</tr>

<tr>
	<td class="idea_review_bottom_status_bar_cell"> <!-- colspan="2" -->
	<table class="idea_review_status_box_bottom">
		<tr>
			<td class="idea_review_status_box_bottom_date"><?php print($fields['created']->content) ?></td>
			<td class="idea_review_status_box_bottom_author"><span class="text">Author:</span> <span class="author"><?php print($fields['name']->content); ?></td>
		</tr>
	</table>
	</td>
	<td class="all_idea_list_idea_rdf_icon_row idea_review_bottom_rdficon_cell">
		<?php if (module_exists('rdfme')): ?>
		<a href="<?php print(url('node/'.$fields['nid']->content).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="themes/ideastream/buttons/rdf_icon_link_hover.png" width="16px" height="16px"/></a>
		<?php endif; ?>	
	</td>
</tr>
</table>
