<?php
// $Id: views-view-fields.tpl.php,v 1.6 2008/09/24 22:48:21 merlinofchaos Exp $
/**
 * @file views-view-fields.tpl.php
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->separator: an optional separator that may appear before a field.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
?>

<?php
	//get contest idea count
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, contests.title, COUNT(node.nid) AS IDEA_NUM FROM node JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) JOIN node AS contests ON (contests.nid = content_type_idea.field_idea_contest_nid)  WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid='%d' AND node.status=1 GROUP BY content_type_idea.field_idea_contest_nid ORDER BY IDEA_NUM DESC",$fields['nid']->content);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $idea_count = $data->IDEA_NUM;
	   //$role_rid=$data->rid;
	} else $idea_count = 0;
	
	//get contest comment count	
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, node.nid, COUNT(comments.cid) AS COM_NUM  FROM node LEFT JOIN comments ON (node.nid=comments.nid AND comments.status = 0) JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid ='%d' AND node.status=1  GROUP BY content_type_idea.field_idea_contest_nid",$fields['nid']->content);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $comment_count = $data->COM_NUM;
	   //$role_rid=$data->rid;
	} else $comment_count = 0;
?>

<table width="100%" > <!-- class="all_idea_list_table" border="1" -->
<tr>
	<td class="all_idea_list_idea_title_row" colspan="2">
		<?php print($fields['title']->content) ?>
	</td>
</tr>
<tr>
	<td width="150px" class="idea_contest_status_cell" rowspan="2">
	<table class="idea_contest_status_box">
		<tr>
			<td class="idea_contest_status_box_title">Idea Contest</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value" style="padding-top:3px;">
				<span class="text">Created On:</span> <?php print($fields['created']->content) ?>
			</td>
		</tr>
		<?php if (isset($fields['state']->content) && $fields['state']->content=="Closed"): ?>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Closed On:</span> <?php print($fields['stamp']->content) ?>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Creator:</span> <span class="author"><?php print($fields['name']->content); ?></span> 
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Status:</span> <span class="author"><?php if (isset($fields['state']->content)) print($fields['state']->content); else print('Undefined'); ?></span> 
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Ideas:</span> <span class="author"><?php print $idea_count; /* ($fields['nid_1']->content); */ ?></span>
			</td>
		</tr>
		<tr>
			<td class="idea_contest_status_box_value">
				<span class="text">Comments:</span> <span class="author"><?php print $comment_count; ?></span> 
			</td>
		</tr>
	</table>
	</td>
	
	<td class="idea_contest_content_row">
		<?php print($fields['body']->content); ?>
	</td>

</tr>

<tr>
	<td class="idea_contest_submit_idea_row">
		<?php if ((isset($fields['state']->content) && $fields['state']->content=="Active") || !isset($fields['state']->content)) //display 'create idea' button if the contest is open for submissions or does not have state
			print "<span class='idea_contest_create_idea'><a href='".url("node/add/idea/".$fields['nid']->content)."'>Submit Idea</a></span>"; // support for gallery assist module 
		?>	
	</td>
</tr>

<tr>
	<td class="all_idea_list_idea_comment_count_row"> <!-- colspan="2" -->

	</td>
	<td class="all_idea_list_idea_rdf_icon_row">
		<?php if (module_exists('rdfme')): ?>
		<a href="<?php print(url('node/'.$fields['nid']->content).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="themes/ideastream/buttons/rdf_icon_link_hover.png" width="16px" height="16px"/></a>
		<?php endif; ?>	
	</td>
</tr>
</table>

<!--
<div style="background-color: #eee;
	padding: 20px;
	margin-top: 10px;
	margin-right: 20px;
text-align: center;
border-radius: 15px;
-moz-border-radius: 15px;">This box should have a rounded corners for Firefox, Safari/Chrome, Opera and IE9.</div>
-->
<!--
<?php foreach ($fields as $id => $field): ?>
<?php if (!empty($field->separator)): ?>
<?php print $field->separator; ?>
<?php endif; ?>

<<?php print $field->inline_html;?> class="views-field-<?php print $field->class; ?>">
<?php if ($field->label): ?>
<label class="views-label-<?php print $field->class; ?>">
<?php print $field->label; ?>:
</label>
<?php endif; ?>
<?php
	// $field->element_type is either SPAN or DIV depending upon whether or not
	// the field is a 'block' element type or 'inline' element type.
	?>
<<?php print $field->element_type; ?> class="field-content"><?php print $field->content; ?></<?php print $field->element_type; ?>>
</<?php print $field->inline_html;?>>
<?php endforeach; ?>
-->

