<?php
// $Id: views-view-fields.tpl.php,v 1.6 2008/09/24 22:48:21 merlinofchaos Exp $
/**
 * @file views-view-fields.tpl.php
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->separator: an optional separator that may appear before a field.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
?>


<table width="100%" class="all_idea_list_table" cellspacing="0"> <!-- border=1 -->
<tr>
<td class="all_idea_list_idea_title_row"><?php print($fields['title']->content) ?></td>
<td class="all_idea_list_idea_votes_row">
<?php print($fields['vud_node_widget']->content) ?>
</td>
</tr>
<tr class="all_idea_list_idea_authorship_row">
	<td class="all_idea_list_idea_creator_row">
			<span class="text">Posted by</span> <span class="author"><?php print($fields['name']->content) ?></span> <span class="text">on</span> <?php 		
			print($fields['created']->content) ?>
	</td>
	<td class="all_idea_list_idea_status_row">
		<?php 
		//select class stylesheet based on state name
		//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
		//if state is not detected then idea_status_color default is used
		$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($fields['state']->content)); 
		print "<div class='idea_status_color_default $state_class idea_status_text'>".$fields['state']->content."</div>";
		print "<div class='idea_status_color_default idea_status_box_frame $state_class'></div>";
	?>
	</td>
</tr>
<?php 
	if ($fields['field_idea_contest_nid']->content!="") 
	{
		$contest_name= $fields['field_idea_contest_nid']->content;
		if (strlen($contest_name) > 36) $contest_name= substr($contest_name,0,36)."...";
		
		print "<tr class='all_idea_list_idea_contest_row'>";
		print "<td>";
		print "<span class=\"text\">Idea Contest:&nbsp&nbsp</span><a href=\"".url('node/'.$fields['field_idea_contest_nid']->raw)."\" >".$contest_name."</a>"; 
		print "</td>";
		print "</tr>";
	}
?>
<tr>
	<td class="all_idea_list_idea_content_row" colspan="2">
		<div>
		<?php print($fields['body']->content) ?>
		</div>
	</td>
</tr>
<tr class="all_idea_list_idea_annotations_row">
	<td class="all_idea_list_idea_category_row">
		<span class="text">Category:&nbsp</span>
<!-- 		<?php print($fields['tid_1']->content) ?> -->
		<?php 
			$result = db_query("SELECT term_data.name, term_data.tid FROM {term_data} JOIN {term_node} ON term_data.tid=term_node.tid JOIN {vocabulary} ON term_data.vid=vocabulary.vid WHERE term_node.nid=%d AND vocabulary.name='Categories'",$fields['nid']->content);
			if ($data = db_fetch_object($result)) {
			   print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
			   //$role_rid=$data->rid;
			} else print ("<a href='".url('home/all/all/Uncategorized')."'>".'Uncategorised</a>');
		 ?>
	</td>
	<td class="all_idea_list_idea_tags_row">
		<?php if (module_exists('rdfme')): ?>
		<div class="all_idea_list_idea_rdf_icon_row">
			<a href="<?php print(url('node/'.$fields['nid']->content).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="themes/ideastream/buttons/rdf_icon_link_hover.png" width="16px" height="16px"/></a>
		</div>
		<?php endif; ?>	
		<div class="all_idea_list_idea_tags_content">
		<span class="text">Tags:&nbsp</span>
		<?php 
			if (strlen($fields['tid']->content)>1)
				print($fields['tid']->content);
			else print("(none)");
		?>
		</div>
	</td>
</tr>
</table>